#!/usr/bin/env bash

echo I need four parameters:

echo 1. Source vocabulary $1
echo 2. Target vocabulary $2 
echo 3. "The overall template (should not set the input/output) "  $3
echo 4. The multi-computer configure file $4
echo 5. The total number of sentence pairs  $5
echo 6. The count of sentence pair weights $6
echo   The MC file should contain ONLY the hostname of computers we want to run the childs.



if [ -e $PWD/defines.inc ];
then
        source $PWD/defines.inc
else
	echo "You should provide defines.inc at current directory"
	exit 1
fi

if [ $# -lt 4 ];
then
	echo Sorry, the number of parameter is not enough
	exit 1
fi
s_vcb=$1
t_vcb=$2
tmpl=$3
mc=$4
sentPair=$5
sentPair2=$6


rm -f ${CHILD_LIST_ONE}
rm -f ${CHILD_LIST_HMM}
rm -f ${CHILD_LIST_345}
	
i=0
for f in `ls $PWD/split/* | sort`
do
	q=$f
	(( i = i + 1 ))
	new_file=$PWD/templ/template_`echo $f | awk -F_ '{print $(NF-1)_$NF}'`
	#cat ch_en.snt | awk 'BEGIN{CNT=0;SUM=0;N=0;}{if(N % 3 == 0){SUM+=;CNT+=1;} N++;}END{print CNT  SUM }'
	${SCRIPT_DIR}/tooutput.sh $f ${s_vcb} ${t_vcb} ${tmpl} $sentPair ${sentPair2} ${new_file}
	machine=`cat $4 | head  -n $i | tail -n 1`
	echo ${machine} ${path_model1} ${new_file} >> ${CHILD_LIST_ONE}
	echo ${machine} ${path_hmm} ${new_file} >> ${CHILD_LIST_HMM}
	echo ${machine} ${path_model345} ${new_file} >> ${CHILD_LIST_345}
done

# Generate a general template
new_file=${GENERAL_TEMPL}
 echo ${SCRIPT_DIR}/tooutput.sh $q ${s_vcb} ${t_vcb} ${tmpl} ${new_file}
 ${SCRIPT_DIR}/tooutput.sh $q ${s_vcb} ${t_vcb} ${tmpl} $sentPair ${sentPair2}  ${new_file}



