#!/usr/bin/env bash

if [ $# -lt 1 ];
then
	echo You should provid the path of defines.inc
	exit 1
fi

if [ $# == 2 ];
then
	mkdir $2
	cp $1 $2/defines.inc
	cd $2
else
	cp -f $1 ./defines.inc	
fi

#cp -f $1 ./defines.inc

if [ -e $PWD/defines.inc ];
then
	source $PWD/defines.inc
else
	echo "You should provide defines.inc at current directory"
	exit 1
fi

mkdir ${WATCH_DIR}
mkdir ${COLL_DIR}
mkdir ${LOG_DIR}
mkdir ${TMP_DIR}
mkdir ${OUTPUT_DIR}
mkdir ${ALIGN_DIR}
mkdir split
mkdir templ
mkdir work
mkdir snt_vcb
mkdir data

echo "OK, the directory is set! Now you need to do the"
echo "following tasks before training:"
echo 
echo "1. Put your training data into data director, let's say your file has the full path " $PWD/data/SOURCE.RAW  and $PWD/data/TARGET.RAW
echo "2. Find and edit a template for giza training, you should remove all the option relevant to input/output filenames, such as 'o' 's' 't' etc. Assume you put the file in" $PWD/TEMPLATE.gizaconf
echo "3. Edit a machine configuration file, the file is simply a list of hostnames you want to run the training, each line contain one hostname, say, you added 10 lines in the file " $PWD/MC
echo "After that, you can run :"
echo train_ega.sh SOURCE.RAW TARGET.RAW  TEMPLATE.gizaconf MC
echo and wait for its finishing
